"Error opening a HTTP REST server port between 38000 and 38100" + Blank Compile Errors

Hello everyone!
Whenever I create or open a Unity project with editor Unity-2020-3-LTS (2020.3.48f1), I get a message saying:

Error opening a HTTP REST server port between 38000 and 38100

followed by two blank compile errors. This does not occur with Unity-2022-3-LTS (2022.3.33f1).

Screenshot from 2024-06-17 11-10-05

Is there a fix for this?

I hope I can avoid having to upgrade my 2020 projects to 2021 or 2022 & potentially introduce more errors.

Laptop Info
Hardware Model: Lenovo Lenovo Legion 5 17IMH05H
Processor (CPU): Intel® Core™ i7-10750H CPU @ 2.60GHz × 12
Graphics (GPU): NVIDIA Corporation TU106M [GeForce RTX 2060 Mobile]
OS: Pop!_OS (Ubuntu (Debian)) 22.04 LTS, 64-bit

Alright, so after a bit of searching, I found the solution to the compile errors. Installing libssl1.0.0_1.0.2n-1ubuntu5_amd64.deb removed the compile errors, though the port message still remains.